Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class Attachments

    java.lang.Object
      |
      +--com.bea.wlpi.client.common.Attachments

public class Attachments
extends java.lang.Object

Layout constraints object used by AttachmentsLayout.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `AttachmentsLayout`

Field Summary
`static short` | `BOTTOM` Component is attached to the bottom side of its parent.
`static short` | `HCENTRE` Component is horizontally centered on its parent.
`static short` | `LEFT` Component is attached to the left side of its parent.
`static short` | `RIGHT` Component is attached to the right side of its parent.
`static short` | `TOP` Component is attached to the top side of its parent.
`static short` | `VCENTRE` Component is vertically centered on its parent.

Constructor Summary
`Attachments()`

Method Summary
`short` | `getAlignmentMask(boolean bAbsolute)` Determines the alignment schemes used by this attachment object.
`java.awt.Component` | `getRelativeToComponent(short direction)` Get the component relative to which this attachment object specifies its alignment.
`protected java.awt.Rectangle` | `position(java.awt.Component comp, int parentHeight, int parentWidth, java.awt.Insets parentInsets)` Position the specified component using the previously specified attachments.
`void` | `setBottomAttachment(int attachmentOffset)` Attach the bottom of a component to the bottom of its container.
`void` | `setBottomAttachment(int attachmentOffset, java.awt.Component relativeTo)` Attach the bottom of one component to the top of another.
`void` | `setBottomAttachmentSameSide(int attachmentOffset, java.awt.Component relativeTo)` Attach the bottom of one component to the bottom of another.
`void` | `setHeight(int height)` Set the height of the component that uses this attachment.
`void` | `setHorizontalCentering()` Center a component horizontally within its container.
`void` | `setHorizontalCentering(java.awt.Component relativeTo)` Horizontally center one component on another component.
`void` | `setHorizontalCentering(int attachmentOffset)` Horizontally offset a component from its container's horizontal center.
`void` | `setHorizontalCentering(int attachmentOffset, java.awt.Component relativeTo)` Horizontally center one component relative to another component.
`void` | `setLeftAttachment(int attachmentOffset)` Attach the left of a component to the left of its container.
`void` | `setLeftAttachment(int attachmentOffset, java.awt.Component relativeTo)` Attach the left of one component to the right of another.
`void` | `setLeftAttachmentSameSide(int attachmentOffset, java.awt.Component relativeTo)` Attach the left of one component to the left of another.
`void` | `setRightAttachment(int attachmentOffset)` Attach the right of a component to the right of its container.
`void` | `setRightAttachment(int attachmentOffset, java.awt.Component relativeTo)` Attach the right of one component to the left of another.
`void` | `setRightAttachmentSameSide(int attachmentOffset, java.awt.Component relativeTo)` Attach the right of one component to the right of another.
`void` | `setSize(java.awt.Dimension dim)` Set the size of the component that uses this attachment.
`void` | `setSize(int width, int height)` Set the size of the component that uses this attachment.
`void` | `setTopAttachment(int attachmentOffset)` Attach the top of a component to the top of its container.
`void` | `setTopAttachment(int attachmentOffset, java.awt.Component relativeTo)` Attach the top of one component to the bottom of another.
`void` | `setTopAttachmentSameSide(int attachmentOffset, java.awt.Component relativeTo)` Attach the top of one component to the top of another.
`void` | `setVerticalCentering()` Center a component vertically within its container.
`void` | `setVerticalCentering(java.awt.Component relativeTo)` Vertically center one component on another component.
`void` | `setVerticalCentering(int attachmentOffset)` Vertically offset a component from its container's vertical center.
`void` | `setVerticalCentering(int attachmentOffset, java.awt.Component relativeTo)` Vertically center one component relative to another component.
`void` | `setWidth(int width)` Set the width of the component that uses this attachment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP

    public static final short TOP

  Component is attached to the top side of its parent.

### VCENTRE

    public static final short VCENTRE

  Component is vertically centered on its parent.

### BOTTOM

    public static final short BOTTOM

  Component is attached to the bottom side of its parent.

### LEFT

    public static final short LEFT

  Component is attached to the left side of its parent.

### HCENTRE

    public static final short HCENTRE

  Component is horizontally centered on its parent.

### RIGHT

    public static final short RIGHT

  Component is attached to the right side of its parent.

Constructor Detail

### Attachments

    public Attachments()

Method Detail

### getAlignmentMask

    public short getAlignmentMask(boolean bAbsolute)

  Determines the alignment schemes used by this attachment object.

  Parameters:
    `bAbsolute` - `true` to exclude alignment setting, if it is relative to another component.
  Returns:
    A bitmask containing the alignment flags, consisting of any combination of `TOP`, `VCENTRE`, `BOTTOM`, `LEFT`, `HCENTRE` and `RIGHT`.

### getRelativeToComponent

    public java.awt.Component getRelativeToComponent(short direction)

  Get the component relative to which this attachment object specifies its alignment.

  Parameters:
    `direction` - Specifies the direction `TOP`, `VCENTRE`, `BOTTOM`, `LEFT`, `HCENTRE` or `RIGHT`
  Returns:
    The "relative to" component, if any.

### setBottomAttachment

    public void setBottomAttachment(int attachmentOffset)

  Attach the bottom of a component to the bottom of its container.

  Parameters:
    `attachmentOffset` - Offset from the bottom of the container.

### setBottomAttachment

    public void setBottomAttachment(int attachmentOffset,
                                    java.awt.Component relativeTo)

  Attach the bottom of one component to the top of another.

  Parameters:
    `attachmentOffset` - Offset from the top of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setBottomAttachmentSameSide

    public void setBottomAttachmentSameSide(int attachmentOffset,
                                            java.awt.Component relativeTo)

  Attach the bottom of one component to the bottom of another.

  Parameters:
    `attachmentOffset` - Offset from the bottom of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setTopAttachment

    public void setTopAttachment(int attachmentOffset)

  Attach the top of a component to the top of its container.

  Parameters:
    `attachmentOffset` - Offset from the top of the container.

### setTopAttachment

    public void setTopAttachment(int attachmentOffset,
                                 java.awt.Component relativeTo)

  Attach the top of one component to the bottom of another.

  Parameters:
    `attachmentOffset` - Offset from the bottom of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setTopAttachmentSameSide

    public void setTopAttachmentSameSide(int attachmentOffset,
                                         java.awt.Component relativeTo)

  Attach the top of one component to the top of another.

  Parameters:
    `attachmentOffset` - Offset from the top of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setVerticalCentering

    public void setVerticalCentering()

  Center a component vertically within its container.

### setVerticalCentering

    public void setVerticalCentering(int attachmentOffset)

  Vertically offset a component from its container's vertical center.

  Parameters:
    `attachmentOffset` - Offset from the vertical center line.

### setVerticalCentering

    public void setVerticalCentering(java.awt.Component relativeTo)

  Vertically center one component on another component.

  Parameters:
    `relativeTo` - The component relative to which this attachment is made.

### setVerticalCentering

    public void setVerticalCentering(int attachmentOffset,
                                     java.awt.Component relativeTo)

  Vertically center one component relative to another component.

  Parameters:
    `attachmentOffset` - Offset from vertical center line of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setLeftAttachment

    public void setLeftAttachment(int attachmentOffset)

  Attach the left of a component to the left of its container.

  Parameters:
    `attachmentOffset` - Offset from left of the container.

### setLeftAttachment

    public void setLeftAttachment(int attachmentOffset,
                                  java.awt.Component relativeTo)

  Attach the left of one component to the right of another.

  Parameters:
    `attachmentOffset` - Offset from right of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setLeftAttachmentSameSide

    public void setLeftAttachmentSameSide(int attachmentOffset,
                                          java.awt.Component relativeTo)

  Attach the left of one component to the left of another.

  Parameters:
    `attachmentOffset` - Offset from left of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setRightAttachment

    public void setRightAttachment(int attachmentOffset)

  Attach the right of a component to the right of its container.

  Parameters:
    `attachmentOffset` - Offset from right of the container.

### setRightAttachment

    public void setRightAttachment(int attachmentOffset,
                                   java.awt.Component relativeTo)

  Attach the right of one component to the left of another.

  Parameters:
    `attachmentOffset` - Offset from left of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setRightAttachmentSameSide

    public void setRightAttachmentSameSide(int attachmentOffset,
                                           java.awt.Component relativeTo)

  Attach the right of one component to the right of another.

  Parameters:
    `attachmentOffset` - Offset from right of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setHorizontalCentering

    public void setHorizontalCentering()

  Center a component horizontally within its container.

### setHorizontalCentering

    public void setHorizontalCentering(int attachmentOffset)

  Horizontally offset a component from its container's horizontal center.

  Parameters:
    `attachmentOffset` - Offset from the horizontal center line.

### setHorizontalCentering

    public void setHorizontalCentering(java.awt.Component relativeTo)

  Horizontally center one component on another component.

  Parameters:
    `relativeTo` - The component relative to which this attachment is made.

### setHorizontalCentering

    public void setHorizontalCentering(int attachmentOffset,
                                       java.awt.Component relativeTo)

  Horizontally center one component relative to another component.

  Parameters:
    `attachmentOffset` - Offset from the horizontal center line of `relativeTo`.
    `relativeTo` - The component relative to which this attachment is made.

### setWidth

    public void setWidth(int width)

  Set the width of the component that uses this attachment.

  Parameters:
    `width` - The component width.

### setHeight

    public void setHeight(int height)

  Set the height of the component that uses this attachment.

  Parameters:
    `height` - The component height.

### setSize

    public void setSize(int width,
                        int height)

  Set the size of the component that uses this attachment.

  Parameters:
    `width` - The component width.
    `height` - The component height.

### setSize

    public void setSize(java.awt.Dimension dim)

  Set the size of the component that uses this attachment.

  Parameters:
    `dim` - The component size.

### position

    protected java.awt.Rectangle position(java.awt.Component comp,
                                          int parentHeight,
                                          int parentWidth,
                                          java.awt.Insets parentInsets)
                                   throws java.lang.Exception

  Position the specified component using the previously specified attachments.

  Parameters:
    `comp` - The component to be positioned.
    `parentHeight` - The height of the parent container.
    `parentWidth` - The width of the parent container.
    `parentInsets` - The insets of the parent container.
  Returns:
    The location for `comp`, according to the specified attachment rules.
  Throws:
    java.lang.Exception - if the previously specified attachments do not include both horizontal and vertical alignments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)